

<ion-header translucent>
  <ion-toolbar class="title_bar">
    <div class="row">
      <div class="col-5">
        <h2 class="title">Schedule</h2>
      </div>
      <div class="col-7">
        <div>

    
        <IonChip class="ml-1">
         
          <button type="button"  class="ion-btn mt-3 building_btn" [ngClass]="{'btn_color':  building=== true}"  >Building
           <span><img src="/assets/images/apartment.svg" alt="" srcset="" height="56%"  [ngClass]="{'icon_color':  building=== true}"   ></span>
          </button>
        </IonChip>
        <IonChip class="">
          <button type="button"  [ngClass]="{'btn_color':  today=== true}" class="ion-btn ml-2 mt-2 ">Today
           <span>
             <!-- <img src="/assets/images/calendar.svg" alt="" srcset="" height="56%"  [ngClass]="{'icon_color':  today=== true}"  > -->
            <ion-icon name="today-outline" [ngClass]="{'icon_color':  today=== true}" style="vertical-align: bottom;"></ion-icon> 
          </span>
          </button>
        </IonChip>
      </div>
      </div>
  
  </div>


  

  <div  class="maindiv" *ngIf="today">
  
    <ion-row>
      <ion-col size="3">
        <button type="button" (click)="all()"  class="ion-btn mt-3">All</button>
      </ion-col>
      <ion-col size="3">
        <button type="button" (click)="Today()"  class="ion-btn mt-3">Today</button>
      </ion-col>
      <ion-col size="3">
        <button type="button" (click)="Yesterday()"  class="ion-btn mt-3">Yesterday</button>
      </ion-col>
      <ion-col size="3">
        <button type="button" (click)="Friday()"  class="ion-btn mt-3">Friday</button>
      </ion-col>
    </ion-row>

      
    <ion-row>
      <ion-col size="4">
        <button type="button" (click)="Thursday()"  class="ion-btn mt-3">Thursday</button>
      </ion-col>
      <ion-col size="4">
        <button type="button" (click)="Wednesday()"  class="ion-btn1 mt-3">Wednesday</button>
      </ion-col>
      <ion-col size="4">
        <button type="button" (click)="Tuesday()"  class="ion-btn mt-3">Tuesday</button>
      </ion-col>
    
    </ion-row>
    <button type="button" (click)="Monday()"  class="ion-btn mt-3">Monday</button>
    <p class="ml-2 mt-2">By Status</p>
    <div>
    <button type="button" (click)="Monday()"  class="ion-btn mt-1 ">All</button>
    <button type="button" (click)="Monday()"  class="ion-btn mt-1 ml-2">Pending</button>
    <button type="button" (click)="Monday()"  class="ion-btn1 mt-1 ml-2">Completed</button>
  </div>

  
  </div>

  <div *ngIf="building">
    <div class="mt-5">
      <ion-searchbar ngModel="searchValue"></ion-searchbar>
    </div>
    <div *ngIf="status">
    <div class="scroll"  >
      <p *ngFor='let building of buildingsArray'><span>{{building.building_name}}</span>,{{building.location}}</p>
  </div>
</div>
    
  </div>
  </ion-toolbar>
</ion-header>


  <!-- <label for="fname" class="searchsttyle">Search</label><br>
      <input type="text" id="fname" [formControl]="myControl"  name="fname"><i class="fas fa-search"></i><br><br>
    -->











<ion-content>

    <div *ngFor='let job of allJobs' class="schedule_card">
      <p class="building_title">{{job.building_name}},{{job.location}}</p>
      <ion-row *ngFor='let vehicle of job.vehicles'>
        <ion-col size='4' style="margin-left: 10px;">
          <img src="/assets/images/car_icon.svg" alt="" srcset="" height="78%">
          <!-- <ion-icon name="alert" class="pending-icon" *ngIf="vehicle.status=='Pending'"></ion-icon> -->
          <img src="/assets/images/vehicle_pending.svg" alt="" srcset=""  class="pending-icon" *ngIf="vehicle.status=='pending'">
          <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="completed-icon"  *ngIf="vehicle.status=='completed'">
          <!-- <ion-icon name="checkmark-circle" class="completed-icon" [style.color]="'#28F714'"
            *ngIf="vehicle.status=='Completed'"></ion-icon> -->
        </ion-col>
        <ion-col size='6' style="margin-left: -31px;">
          <p style="font-size: 20px;">{{vehicle.carnumber}}</p>
          <p style="margin-top:-20px;font-size: 15px;">Parking lot:{{vehicle.parking_no}}</p>
          <p style="margin-top: -17px;">
            <ion-icon name="today-outline"></ion-icon>
            {{vehicle.date}}
          </p>
        </ion-col>
        <ion-col *ngIf="(vehicle.status=='Assigned')||(vehicle.status=='pending')" (click)='presentModal(vehicle.schedule_id,vehicle.date)' class="markasdone">
          <ion-icon name="checkmark-circle" class="assigned-icon" [style.color]="'#28F714'"></ion-icon>
          <!-- <img src="/assets/images/vehicle_done.png" alt="" srcset=""  class="assigned-icon"> -->
          <span> Mark as Done</span>
        </ion-col>
        <hr style="border-width: 1px;width: 100%;margin-top: -10px;">
      </ion-row>
      <!-- <hr style="border-width: 2px;"> -->
    </div>
    <div>
      
    </div>
    
 
    </ion-content> 
   
 
    
 
 
